name: Hierarchical  Parent  Relationship
services:
  Generic Node:
    name: Generic Node
    type: GenericNode
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 03bfa04a-2f9f-4fb4-945d-0a602de897ca
        label: Generic Node
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        position:
          posX: 306.5040039704052
          posY: 133.02083780066647
        whiteboardData:
          style:
            backgroundOpacity: 0
            visibility: hidden
            z-index: 4
  cluster-role-qv:
    name: cluster-role-qv
    type: ClusterRole
    apiVersion: rbac.authorization.k8s.io/v1
    version: v1.25.2
    model: kubernetes
    settings:
      rules: []
    traits:
      meshmap:
        edges: []
        id: c527dd0b-6a57-41a5-a5bd-8f5107b576a5
        label: Cluster Role
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 22px
            width: 22px
            x: "8.5"
            "y": "7.5"
            z-index: 8
          styles: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrole-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrole-white.svg
        position:
          posX: 410.4770008491227
          posY: 321.98381645951656
        whiteboardData: {}
  config-map-io:
    name: config-map-io
    type: ConfigMap
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    dependsOn:
    - default-dwzlb
    traits:
      meshmap:
        edges: []
        id: aa3e9369-ca57-4859-9801-3fe560205b25
        label: Config Map
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          parentId: 7716aff1-55d9-4641-96dd-e8d0075783f8
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: bottom-round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 9
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/configmap-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/configmap-white.svg
        parent: 7716aff1-55d9-4641-96dd-e8d0075783f8
        position:
          posX: 275.4444862848662
          posY: 249.58230237309454
        whiteboardData: {}
  config-map-ng:
    name: config-map-ng
    type: ConfigMap
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    dependsOn:
    - default-nkkoc
    traits:
      meshmap:
        edges: []
        id: 3f44c8d9-8c96-4d61-849f-9b6c35630adc
        label: config-map-ng
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: bottom-round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            z-index: 6
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/configmap-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/configmap-white.svg
        parent: a45faf23-bb79-4de1-9177-4b5eb71783a6
        position:
          posX: 463.58708943055046
          posY: 190.24580348705646
        whiteboardData:
          style:
            z-index: 7
  default-dwzlb:
    name: default
    type: Namespace
    apiVersion: v1
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: 7716aff1-55d9-4641-96dd-e8d0075783f8
        label: Namespace
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0.5
            border-style: dashed
            border-width: 2
            z-index: 7
          styles: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/namespace-white.svg
        position:
          posX: 275.4444862848662
          posY: 258.58230237309454
        whiteboardData: {}
  default-nkkoc:
    name: default
    type: Namespace
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: a45faf23-bb79-4de1-9177-4b5eb71783a6
        label: Namespace
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.5
            border-style: dashed
            border-width: 2
            z-index: 5
          styles: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/namespace-white.svg
        position:
          posX: 440.83708943055046
          posY: 199.24580348705646
        whiteboardData:
          style:
            z-index: 5
  role-yh:
    name: role-yh
    type: Role
    apiVersion: rbac.authorization.k8s.io/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    dependsOn:
    - default-nkkoc
    settings:
      rules: []
    traits:
      meshmap:
        edges: []
        id: 3d813bad-54d7-4e22-9e18-05492fa16fff
        label: role-yh
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5","z-index":4}'
          styles: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5","z-index":4}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/role-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/role-white.svg
        parent: a45faf23-bb79-4de1-9177-4b5eb71783a6
        position:
          posX: 403.58708943055046
          posY: 190.24580348705646
        whiteboardData:
          style:
            z-index: 6
